﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Microsoft.Rtc.Collaboration.Samples.HTMLPresenceControls.Service.Common
{
    #region internal class Helper

    /// <summary>
    /// Represents static helper methods.
    /// </summary>
    public static class Helper
    {
        #region consts

        /// <summary>
        /// Sip string constant.
        /// </summary>
        public const string Sip = "sip:";

        /// <summary>
        /// Tel string constant.
        /// </summary>
        public const string Tel = "tel:";

        /// <summary>
        /// Application name.
        /// </summary>
        private const string ApplicationName = "HTML Presence Controls";

       

        //To use console logging comment the above line and uncomment the line below.
        //private static readonly Logger DefaultLogger = new ConsoleLogger(Helper.ApplicationName);
        #endregion

        #region properties

        /// <summary>
        /// Gets the logger to use.
        /// </summary>
        public static Logger Logger
        {
            get { return DefaultLogger; }
        }

        /// <summary>
        /// Default logger.
        /// </summary>
        public static Logger DefaultLogger = new EventLogger(Helper.ApplicationName);
        #endregion

    }

    #endregion
}